/*******************************************************************************
* Copyright (C) 2018 Maxim Integrated Products, Inc., All rights Reserved.
*
* This software is protected by copyright laws of the United States and
* of foreign countries. This material may also be protected by patent laws
* and technology transfer regulations of the United States and of foreign
* countries. This software is furnished under a license agreement and/or a
* nondisclosure agreement and may only be used or reproduced in accordance
* with the terms of those agreements. Dissemination of this information to
* any party or parties not specified in the license agreement and/or
* nondisclosure agreement is expressly prohibited.
*
* The above copyright notice and this permission notice shall be included
* in all copies or substantial portions of the Software.
*
* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
* OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
* MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
* IN NO EVENT SHALL MAXIM INTEGRATED BE LIABLE FOR ANY CLAIM, DAMAGES
* OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
* ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
* OTHER DEALINGS IN THE SOFTWARE.
*
* Except as contained in this notice, the name of Maxim Integrated
* Products, Inc. shall not be used except as stated in the Maxim Integrated
* Products, Inc. Branding Policy.
*
* The mere transfer of this software does not imply any licenses
* of trade secrets, proprietary technology, copyrights, patents,
* trademarks, maskwork rights, or any other form of intellectual
* property whatsoever. Maxim Integrated Products, Inc. retains all
* ownership rights.
*******************************************************************************
*/
#include "Max31342.h"

const RtcBase::regmap_t Max31342::regmap = {
	/*.config_reg1         = */MAX31342_REG_CONFIG_REG1_ADDR,
	/*.config_reg2         = */MAX31342_REG_CONFIG_REG2_ADDR,
	/*.int_ploarity_config = */RtcBase::REG_NOT_AVAILABLE,
	/*.timer_config        = */MAX31342_REG_TIMER_CONFIG_ADDR,
	/*.int_en_reg          = */MAX31342_REG_INT_EN_REG_ADDR,
	/*.int_status_reg      = */MAX31342_REG_INT_STATUS_REG_ADDR,
	/*.seconds             = */MAX31342_REG_SECONDS_ADDR,
	/*.minutes             = */MAX31342_REG_MINUTES_ADDR,
	/*.hours               = */MAX31342_REG_HOURS_ADDR,
	/*.day                 = */MAX31342_REG_DAY_ADDR,
	/*.date                = */MAX31342_REG_DATE_ADDR,
	/*.month               = */MAX31342_REG_MONTH_ADDR,
	/*.year                = */MAX31342_REG_YEAR_ADDR,
	/*.alm1_sec            = */MAX31342_REG_ALM1_SEC_ADDR,
	/*.alm1_min            = */MAX31342_REG_ALM1_MIN_ADDR,
	/*.alm1_hrs            = */MAX31342_REG_ALM1_HRS_ADDR,
	/*.alm1day_date        = */MAX31342_REG_ALM1DAY_DATE_ADDR,
	/*.alm1_mon            = */MAX31342_REG_ALM1_MON_ADDR,
	/*.alm1_year           = */MAX31342_REG_ALM1_YEAR_ADDR,
	/*.alm2_min            = */MAX31342_REG_ALM2_MIN_ADDR,
	/*.alm2_hrs            = */MAX31342_REG_ALM2_HRS_ADDR,
	/*.alm2day_date        = */MAX31342_REG_ALM2DAY_DATE_ADDR,
	/*.timer_count         = */MAX31342_REG_TIMER_COUNT_ADDR,
	/*.timer_init          = */MAX31342_REG_TIMER_INIT_ADDR,
	/*.ram_start           = */RtcBase::REG_NOT_AVAILABLE,
	/*.ram_end             = */RtcBase::REG_NOT_AVAILABLE,
	/*.pwr_mgmt_reg        = */RtcBase::REG_NOT_AVAILABLE,
	/*.trickle_reg         = */RtcBase::REG_NOT_AVAILABLE,
	/*.clock_sync_delay    = */MAX31342_REG_CLOCK_SYNC_REG,
};

